ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

Create an authorization payment

Idempotency Supported
Try in API Explorer

Authorizes a specific amount in customer's Credit card, which can be collected within a span of time. Read more on authorization and capture here.

  • Supported only for Card payments.
  • Currently supported only for Stripe.

Sample Request

URL Format

POST https://[site].chargebee.com/api/v2/transactions/create_authorization

Input Parameters

customer_id
required, string, max chars=50

Identifier of the customer.

payment_source_id
optional, string, max chars=40

Payment source to be used for authorizing the transaction.

currency_code
required if Multicurrency is enabled, string, max chars=3

The currency code (ISO 4217 format) of the transaction amount.

amount
required, in cents, min=1

The amount to be blocked.

Returns

transactionTransaction object
Resource object representing transaction